- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoDistance< MOEOT, Type > Class Template Reference

The base class for distance computation. More...

`#include <moeoDistance.h>`

Inheritance diagram for moeoDistance< MOEOT, Type >:

List of all members.

## Public Member Functions
virtual void | setup (const eoPop< MOEOT > &_pop)
| Nothing to do.
virtual void | setup (double _min, double _max, unsigned int _obj)
| Nothing to do.
virtual void | setup (eoRealInterval _realInterval, unsigned int _obj)
| Nothing to do.

## Detailed Description

### template<class MOEOT, class Type>
class moeoDistance< MOEOT, Type >

The base class for distance computation.

Definition at line 22 of file moeoDistance.h.

## Member Function Documentation

template<class MOEOT, class Type>

virtual void moeoDistance< MOEOT, Type >::setup | ( | const eoPop< MOEOT > & | _pop | ) | `[inline, virtual]`

Nothing to do.

Parameters:

  | _pop | the population

Reimplemented in moeoNormalizedDistance< MOEOT, Type >, and moeoNormalizedDistance< MOEOT >.

Definition at line 30 of file moeoDistance.h.

template<class MOEOT, class Type>

virtual void moeoDistance< MOEOT, Type >::setup | ( | double | _min,
|  | double | _max,
|  | unsigned int | _obj |
| ) |  |  | `[inline, virtual]`

Nothing to do.

Parameters:

  | _min | lower bound
  | _max | upper bound
  | _obj | the objective index

Reimplemented in moeoNormalizedDistance< MOEOT, Type >, and moeoNormalizedDistance< MOEOT >.

Definition at line 40 of file moeoDistance.h.

template<class MOEOT, class Type>

virtual void moeoDistance< MOEOT, Type >::setup | ( | eoRealInterval | _realInterval,
|  | unsigned int | _obj |
| ) |  |  | `[inline, virtual]`

Nothing to do.

Parameters:

  | _realInterval | the eoRealInterval object
  | _obj | the objective index

Reimplemented in moeoNormalizedDistance< MOEOT, Type >, and moeoNormalizedDistance< MOEOT >.

Definition at line 49 of file moeoDistance.h.

The documentation for this class was generated from the following file:

- moeoDistance.h